<?php
/* 
 * @package     Joomla.Site 
 * @subpackage  r17_attributes 
 * @copyright (c) Radius17 
 * @web: https://radius17.ru 
 * @license https://radius17.ru/docs/license.html 
 * THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  
 * 
 * All SERVICES/EXTENSIONS ARE MADE FOR THE LATEST VERSIONS OF JOOMLA AND JOOMSHOPPING,  
 * BUT WE CAN NOT GUARANTEE, THAT THE EXTENSIONS/SERVICES WILL RUN WITH FUTURE VERSIONS  
 * OF THESE CMS AND ITS COMPONENTS. 
 * 
 * Revision num =  89 
 * Build: 1438 
 * Build date: 2020.01.20 3:43:11 
 *  
 */   

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');
class plgJshoppingAdminR17_Attributes extends JPlugin{
	public function __construct(&$subject, $config = array()){
		parent::__construct($subject, $config);
	}
	public function onBeforeEditAtribut(&$view, &$attribut){
		$attr_arr=array();
		$matches=array();
		$match=array();
		$types=array();
		$must_rebuild=false;
		preg_match_all("/<option(.*?)<\/option>/", $view->type_attribut, $matches);
		if(isset($matches[0]) && count($matches[0])){
			foreach($matches[0] as $k=>$opt_text){
				preg_match_all("/value=\"(.*?)\"(.*?)>(.*?)<\/option>/", $opt_text, $match);
				if(isset($match[1][0])&&isset($match[3][0])) $attr_arr[$match[1][0]]=$match[3][0];
			}
			if(count($attr_arr)){
				if(!array_key_exists(3, $attr_arr)){
					$attr_arr[3]="Checkbox";
					$must_rebuild=true;
				} else {
					echo "Duplicate attribute ID found. Checkbox.";
				}
				if(!array_key_exists(101, $attr_arr)){
//					$attr_arr[101]="Quantity attribute";
//					$must_rebuild=true;
				} else {
					echo "Duplicate attribute ID found. Quantity attribute.";
				}
			}
			if($must_rebuild){
				foreach($attr_arr as $a_key=>$a_val){
					$types[] = JHTML::_('select.option', $a_key, $a_val, 'attr_type_id', 'attr_type');
				}
				$type_attribut = JHTML::_('select.genericlist', $types, 'attr_type','class = "inputbox" size = "1"','attr_type_id','attr_type',$attribut->attr_type);
				$view->assign('type_attribut', $type_attribut);
			}
		}
	}
	public function onBeforeEditFreeAtribut(&$view, &$attribut){
		$types[] = JHTML::_('select.option', '0','Default','attr_type_id','attr_type');
		$types[] = JHTML::_('select.option', '1','Date','attr_type_id','attr_type');
		$types[] = JHTML::_('select.option', '2','TextArea','attr_type_id','attr_type');
		$types[] = JHTML::_('select.option', '3','Checkbox','attr_type_id','attr_type');
		$type_attribut = JHTML::_('select.genericlist', $types, 'type','class = "inputbox" size = "1"','attr_type_id','attr_type', $attribut->type);
		$html="<table width=\"100%\" class=\"admintable\"><tbody><tr><td class=\"key\">"._JSHOP_TYPE_ATTRIBUT."</td><td>".$type_attribut."</td></tr></tbody></table>";
		$view->assign('type', $html);
	}
}
?>