<?php
/* 
 * @package     Joomla.Site 
 * @subpackage  r17_attributes 
 * @copyright (c) Radius17 
 * @web: https://radius17.ru 
 * @license https://radius17.ru/docs/license.html 
 * THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  
 * 
 * All SERVICES/EXTENSIONS ARE MADE FOR THE LATEST VERSIONS OF JOOMLA AND JOOMSHOPPING,  
 * BUT WE CAN NOT GUARANTEE, THAT THE EXTENSIONS/SERVICES WILL RUN WITH FUTURE VERSIONS  
 * OF THESE CMS AND ITS COMPONENTS. 
 * 
 * Revision num =  89 
 * Build: 1438 
 * Build date: 2020.01.20 3:43:11 
 *  
 */   

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');
class plgJshoppingcheckoutR17_Attributes extends JPlugin{
	public function __construct(&$subject, $config = array()){
		parent::__construct($subject, $config);
	}
	
	public function onAfterSetAttributeActive(&$attribs, &$product){

	}
	public function onBeforeSaveUpdateProductToCart(&$cart, &$product, $key){
		
	}
	public function onBeforeSaveNewProductToCart(&$cart, &$temp_product, &$product){

	}
	public function onBeforeAddProductToCart(&$th, &$product_id, &$quantity, &$attr_id, &$freeattributes, &$updateqty){
		$hide_empty_freeattributes = $this->params->get('hide_empty_freeattributes', 0);
		if(count($freeattributes)){
			foreach($freeattributes as $k=>$attr){ 
				if(!$attr && $hide_empty_freeattributes) unset($freeattributes[$k]);
			}
		}
	}
	public function onBeforeDisplayCart(&$cart){

	}
	public function onBeforeDisplayWishlistView(&$view){

	}
	
	public function onAfterCartLoad(&$cart){

	}
	public function onBeforeSaveCheckoutStep2(&$adv_user, &$user, &$cart){

	}
	public function onBeforeDisplayCartView(&$view){
		$this->hideUncheckedChekboxes($view);
	}
	public function onBeforeDisplayCheckoutCartView(&$view){
		$this->hideUncheckedChekboxes($view);
	}
	/******************************************************************************************/
	private function hideUncheckedChekboxes(&$view){
		$hide_unchecked_fields=$this->params->get('hide_unchecked_fields', 0);
		if(count($view->products)){
			$prd = JTable::getInstance('product', 'jshop');
			$product_id=0;
			$all_attributes = JSFactory::getAllAttributes();
			$all_attributes_types=array();
			if(count($all_attributes)){
				foreach($all_attributes as $all_attribute){
					$all_attributes_types[$all_attribute->attr_id]=$all_attribute->attr_type;
				}
			}
			foreach($view->products as $n=>$p){
				if(isset($p['attributes_value']) && is_array($p['attributes_value']) && count($p['attributes_value'])){
					$prd->load($p["product_id"]);
					$attributesDatas = $prd->getAttributesDatas(array());
					$prd->setAttributeActive($attributesDatas['attributeActive']);
					$attributeValues = $attributesDatas['attributeValues'];
					$attributeActive = $attributesDatas['attributeSelected'];
					foreach($p['attributes_value'] as $k=>$attr){
						if(array_key_exists($attr->attr_id, $attributeValues)){
							$attr_vals=$attributeValues[$attr->attr_id];
							if($all_attributes_types[$attr->attr_id]==3){
								$checked_value=$attr_vals[1]->val_id;
								if(count($attr_vals)>1 && $attr_vals[0]->addprice > $attr_vals[1]->addprice) {
									$checked_value=$attr_vals[0]->val_id;
								}
								if($attr->value_id!=$checked_value){
									if($hide_unchecked_fields) unset($view->products[$n]['attributes_value'][$k]);
								}
							}
						}
					}
				}
			}
		}
	}
}
?>