<?php
/* 
 * @package     Joomla.Site 
 * @subpackage  r17_attributes 
 * @copyright (c) Radius17 
 * @web: https://radius17.ru 
 * @license https://radius17.ru/docs/license.html 
 * THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  
 * 
 * All SERVICES/EXTENSIONS ARE MADE FOR THE LATEST VERSIONS OF JOOMLA AND JOOMSHOPPING,  
 * BUT WE CAN NOT GUARANTEE, THAT THE EXTENSIONS/SERVICES WILL RUN WITH FUTURE VERSIONS  
 * OF THESE CMS AND ITS COMPONENTS. 
 * 
 * Revision num =  89 
 * Build: 1438 
 * Build date: 2020.01.20 3:43:11 
 *  
 */   

defined('_JEXEC') or die();
defined('DS') or define('DS', DIRECTORY_SEPARATOR);

require_once (JPATH_SITE.'/components/com_jshopping/lib/factory.php');
require_once (JPATH_SITE.'/components/com_jshopping/lib/functions.php');
jimport('joomla.form.formfield');

class JFormFieldextrafields extends JFormField {
	protected $type = 'extrafields';
	protected function getInput() {
		$lang = JSFactory::getLang();
		$name = $lang->get("name");
		$db = JFactory::getDBO();
		$query  = 'SELECT a.`'.$name.'` AS text, a.id AS value'
				. ' FROM #__jshopping_products_extra_fields AS a'
				. ' ORDER BY a.ordering';
		$db->setQuery( $query );
		$res = $db->loadObjectList();
		return JHTML::_('select.genericlist',  $res,  $this->name, 'class="inputbox" size="1"', 'value', 'text', ($this->value ? $this->value : $res[0]->value), $this->id );
	}
}
?>