<?php
/* 
 * @package     Joomla.Site 
 * @subpackage  r17_attributes 
 * @copyright (c) Radius17 
 * @web: https://radius17.ru 
 * @license https://radius17.ru/docs/license.html 
 * THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  
 * 
 * All SERVICES/EXTENSIONS ARE MADE FOR THE LATEST VERSIONS OF JOOMLA AND JOOMSHOPPING,  
 * BUT WE CAN NOT GUARANTEE, THAT THE EXTENSIONS/SERVICES WILL RUN WITH FUTURE VERSIONS  
 * OF THESE CMS AND ITS COMPONENTS. 
 * 
 * Revision num =  89 
 * Build: 1438 
 * Build date: 2020.01.20 3:43:11 
 *  
 */   

$name = "R17 Attributes";
$element = "r17_attributes";
$version = "1.0.0";

$addon = JTable::getInstance('addon', 'jshop');
$addon->loadAlias($element);
$addon->set('name',$name);
$addon->set('version',$version);
$addon->set('uninstall','/components/com_jshopping/addons/'.$element.'/uninstall.php');

$cache = addslashes('{"creationDate":"19.10.2014","author":"Radius17","authorEmail":"info@radius17.ru","authorUrl":"http://radius17.ru","version":"'.$version.'"}');

foreach(array(
	'jshoppingadmin',
	'jshoppingcheckout',
	'jshoppingproducts'
	) as $folder):
	$addon->installJoomlaExtension(
		array(
		'name' => $name, 
		'type' => 'plugin', 
		'element' => $element, 
		'folder' => $folder, 
		'client_id' => 0, 
		'enabled' => 1, 
		'access' => 1, 
		'protected' => 0, 
		'manifest_cache' => $cache
		)
	);
endforeach;
$addon->store();